import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Run this example from Report Designer install directory
//Report manager must be running
public class ScheduleReportFailedEmail {

	public static void main(String[] args) {
		ScheduleReportFailedEmail doScheduleExport = new ScheduleReportFailedEmail();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("Report_FailedEmail", ScheduleObject.REPORTOBJ);
		sObj.setFileLocation("Account.rpt");
		sObj.setReportType(IExportConstants.DHTML);
		sObj.setTaskOption(ScheduleObject.ONE_TIME);
		String exportLocation = sObj.pickDefaultExportLocation();
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 10);
		sObj.setStartDate(calendar.getTimeInMillis());
		sObj.setSendEmail(true);
		sObj.setFromAddress("user1@quadbase.com");
		sObj.setSubject("Report Email Account Report");
		sObj.setBodyText("Scheduled Export of Account from user1");
		sObj.setEmailType(ScheduleObject.ASATTACHMENT);
		sObj.setToAddresses(new String[] { "user2@quadbase.com", "user3@quadbase.com" });
		sObj.setFailSubject("Report_FailedEmail schedule failed");
		sObj.setFailBodyText("Cannot send Account report from Report_FailedEmail");
		sObj.setFailToAddress("user1@quadbase.com");

		ScheduleModifier.addScheduleTask(sObj);
	}
}
